Commit a6a754e0 authored by André Anjos's avatar André Anjos 💬
Browse files

[data] Use centos7 images for the build, to allow pytorch to be used on the CI stack

parent 2a7f30db
Pipeline #54819 canceled with stage
in 40 seconds
......@@ -35,7 +35,7 @@ build_linux:
- docker
before_script:
- rm -fv ~/.condarc
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
cache:
key: "linux-cache"
......
......@@ -20,7 +20,7 @@ stages:
.bootstrap:
tags:
- docker
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
before_script:
- rm -fv ~/.condarc
- curl --silent "${BOOTSTRAP}" --output "bootstrap.py"
......
......@@ -44,7 +44,7 @@ stages:
extends: .build_template
tags:
- docker
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
build_linux_38:
extends: .build_linux_template
......@@ -70,7 +70,7 @@ build_macos_intel_38:
stage: cleanup
tags:
- docker
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
script:
- bdt ci clean-betas -vv
cache:
......
......@@ -53,7 +53,7 @@ build_linux:
extends: .build_template
tags:
- docker
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
variables:
PYTHON_VERSION: "3.8"
BUILD_EGG: "true"
......@@ -98,7 +98,7 @@ build_macos_intel:
extends: .test_template
tags:
- docker
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
.test_macos_intel_template:
......
......@@ -53,7 +53,7 @@ stages:
extends: .build_template
tags:
- docker
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
artifacts:
paths:
- ${CONDA_ROOT}/conda-bld/linux-64/*.conda
......@@ -114,7 +114,7 @@ build_linux_38:
extends: .test_template
tags:
- docker
image: quay.io/condaforge/linux-anvil-comp7
image: quay.io/condaforge/linux-anvil-cos7-x86_64
.test_macos_intel_template:
......
......@@ -3,3 +3,7 @@ build:
- DOCSERVER
- NOSE_EVAL_ATTR
- PYTEST_ADDOPTS
requirements:
build:
- sysroot_linux-64 2.17 # [linux64]
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment